Subject: Re: [Slim] Proposed 5.4 text

From: Randall Gellens <[email-masked]>
Date: Fri, 1 Dec 2017 15:17:29 -0800

Hi Keith,

The document uses the terms "sign language tag" 
and "non-sign language tag", both terms applying 
to language tags.  Neither term is used in the 
absence of a tag.  The two terms are defined in 
Section 5.4.  I do not see why use of the terms 
is unclear or harmful, much less "entirely 
meaningless."  Along these lines, I don't see how 
the use of the "non-" prefix elsewhere is 
confusing or unclear; this is a very common 
prefix to use in Internet Drafts and RFCs.

--Randall

At 8:39 PM +0000 11/22/17, Keith Drage wrote:

>  Why do we keep having to use this construct 
> "non-sign", which in itself is entirely 
> meaningless. Surely in this case we are talking 
> about a either the absence of a language tag, 
> or the absence of "sgn" within a language tag. 
> Why don't we just talk about the absence of 
> "sgn" where necessary.
>
>  As an aside I note elsewhere in the document we 
> talk about "non-emergency calls", which should 
> mean "a call for a non-emergency". The correct 
> opposite to emergency call would be "call that 
> is not related to an emergency".
>
>  There are several other "non-" instances in the 
> document that are equally meaningless. I assume 
> "non-realtime xxx" is not intended to mean 
> "unrealtime xxx", but rather, "xxx that is not 
> realtime".
>
>  Keith
>
>  On 22-Nov-17 2:17 AM, Bernard Aboba wrote:
>
>>  Looks good to me.
>>
>>  On Tue, Nov 21, 2017 at 3:17 PM, Randall 
>> Gellens 
>> <<mailto:[email-masked]>[email-masked]> 
>> wrote:
>>
>>  I agree.  I made a few minor editorial changes 
>> (e.g., moving some text to a new paragraph):
>>
>>  5.4.  Usage Notes
>>
>>     A sign language tag with a video media stream is interpreted as an
>>     indication for sign language in the video stream.  A non-sign
>>     language tag with a text media stream is interpreted as an
>>     indication for written language in the text stream.  A non-sign
>>     language tag with an audio media stream is interpreted as an
>>     indication for spoken language in the audio stream.
>>
>>     This document does not define any other use for language tags in
>>     video media (such as how to indicate visible captions in the video
>>     stream).
>>
>>     In the IANA registry of language subtags per BCP 47 [RFC5646], a
>>     language subtag with a Type field "extlang" combined with a Prefix
>>     field value "sgn" indicates a sign language tag.  The absense of
>>     such "sgn" prefix indicates a non-sign language tag.
>>
>>     This document does not define the use of sign language tags in text
>>     or audio media.
>>
>>     This document does not define the use of language tags in media
>>     other than interactive streams of audio, video, and text (such as
>>     "message" or "application").  Such use could be supported by future
>>     work or by application agreement.
>>
>>
>>  At 11:50 PM +0100 11/21/17, Gunnar Hellström wrote:
>>
>>   Den 2017-11-21 kl. 23:08, skrev Randall Gellens:
>>
>>   Based on the text and comments from Gunnar, 
>> brian, Paul, and Bernard, here is what I 
>> propose to replace section 5.4 with:
>>
>>   5.4. Usage Notes
>>
>>   A sign language tag with a video stream is interpreted as an
>>   indication for sign language in the video stream. A non-sign
>>   language tag with text media is interpreted as an indication for
>>   written language. A non-sign language tag with audio media is
>>   interpreted as an indication for spoken language.
>>
>>   In the IANA registry of language subtags per BCP 47 [RFC5646], a
>>   language subtag with a Type field "extlang" combined with a Prefix
>>   field value "sgn" indicates a sign language tag. The absense of
>>   such "sgn" prefix indicates a non-sign language tag. This document
>>   does not define any other use for language tags in video media
>>   (such as how to indicate visible captions).
>>
>>   This document does not define the use of sign language tags in text
>>   or audio media.
>>
>>   This document does not define the use of language tags in media
>>   other than interactive streams of audio, video, and text (such as
>>   "message" or "application").
>>
>>   <GH> Good, I hope that "non-sign language" can be an accepted term.
>>   I provide a slightly modified 5.4 proposal, 
>> with a bit more consistent language in the 
>> first paragraph, and the mentioning of further 
>> work or application agreement reinserted. I 
>> think that is better than just saying that it 
>> is not defined. I also added the spoken 
>> language in video is a view of a speaker 
>> according to recent discussion in another mail.
>>   I really hope to find that we are converging now.
>>
>>   ------------------------------new text 
>> -------------------------------------------
>>   5.4 Media, Language and Modality indications
>>
>>   A sign language tag with video media is interpreted as an
>>   indication for sign language in the video stream. A non-sign
>>   language tag with text media is interpreted as an indication for
>>   written language. A non-sign language tag with audio media is
>>   interpreted as an indication for spoken language. A non-sign
>>   language tag with video media is interpreted as a view of a
>>   speaking person. This document does not define any other
>>   use for language tags in video media (such as how to indicate
>>   visible captions in the video stream).
>>
>>   In the IANA registry of language subtags per BCP 47 [RFC5646], a
>>   language subtag with a Type field "extlang" combined with a Prefix
>>   field value "sgn" indicates a sign language tag. The absense of
>>   such "sgn" prefix indicates a non-sign language tag.
>>
>>   This document does not define the use of sign language tags in text
>>   or audio media. This document does not define 
>> the use of language tags in media
>>   other than interactive streams of audio, video, and text (such as
>>   "message" or "application"). Such use may be supported by further work
>>   or application specific agreements.
>>
>>
>> 
>> ---------------------------------------------------------------------------------------------
>>   Gunnar
>>   --
>>   -----------------------------------------
>>   Gunnar Hellström
>>   Omnitor
>>
>> 
>> <mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]
>>   <tel:%2B46%20708%20204%20288>+46 708 204 288
>>
>>   _______________________________________________
>>   SLIM mailing list
>>   <mailto:[email-masked]>[email-masked]
>> 
>> <https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim
>>
>>
>>
>>  --
>>  Randall Gellens
>>  Opinions are personal;    facts are suspect;    I speak for myself only
>>  -------------- Randomly selected tag: ---------------
>>  Never knock the way the other cat swings.
>>                           --Neal Cassady
>>
>>
>>
>>
>>  _______________________________________________
>>  SLIM mailing list
>>  <mailto:[email-masked]>[email-masked]
>> 
>> <https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim
>>
>
>
>  _______________________________________________
>  SLIM mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/slim

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
[Some] billionaires [are] coming together under the leadership of Warren
Buffet and Bill Gates to donate their fortunes to worthy causes.... But
the billionaires with the strongest sense of class solidarity have an-
other plan for their disposable income: activating their lobbyists in
Washington, building grassroots movements to march on their behalf,
and using their media properties to run experiments on human credulity.
--From the essay "Service Disobedience" by Thomas Frank in the February
2011 Harper's Magazine column "Easy Chair."

---

From: Keith Drage <[email-masked]>
Date: Sat, 2 Dec 2017 00:16:15 +0000

"Non" can only be followed by a hyphen. However the hyphen relates it to 
the imediately following the word, rather than any sequence of following 
words.

Therefore syntactically you are talking about a "non-sign", which is 
meaningless.

I gave hints in my mail to more appropriate English.

Keith

On 01-Dec-17 11:17 PM, Randall Gellens wrote:
> Hi Keith,
>
> The document uses the terms "sign language tag" and "non-sign language 
> tag", both terms applying to language tags.  Neither term is used in 
> the absence of a tag.  The two terms are defined in Section 5.4.  I do 
> not see why use of the terms is unclear or harmful, much less 
> "entirely meaningless."  Along these lines, I don't see how the use of 
> the "non-" prefix elsewhere is confusing or unclear; this is a very 
> common prefix to use in Internet Drafts and RFCs.
>
> --Randall
>
>>  Why do we keep having to use this construct "non-sign", which in 
>> itself is entirely meaningless. Surely in this case we are talking 
>> about a either the absence of a language tag, or the absence of "sgn" 
>> within a language tag. Why don't we just talk about the absence of 
>> "sgn" where necessary.
>>
>>  As an aside I note elsewhere in the document we talk about 
>> "non-emergency calls", which should mean "a call for a 
>> non-emergency". The correct opposite to emergency call would be "call 
>> that is not related to an emergency".
>>
>>  There are several other "non-" instances in the document that are 
>> equally meaningless. I assume "non-realtime xxx" is not intended to 
>> mean "unrealtime xxx", but rather, "xxx that is not realtime".
>>
>>  Keith
>>
>>>  On Tue, Nov 21, 2017 at 3:17 PM, Randall Gellens 
>>> <<mailto:[email-masked]>[email-masked]> wrote:
>>>
>>>  I agree.  I made a few minor editorial changes (e.g., moving some 
>>> text to a new paragraph):
>>>
>>>  5.4.  Usage Notes
>>>
>>>   Based on the text and comments from Gunnar, brian, Paul, and 
>>> Bernard, here is what I propose to replace section 5.4 with:
>>>
>>>   5.4. Usage Notes
>>>
>>>   I provide a slightly modified 5.4 proposal, with a bit more 
>>> consistent language in the first paragraph, and the mentioning of 
>>> further work or application agreement reinserted. I think that is 
>>> better than just saying that it is not defined. I also added the 
>>> spoken language in video is a view of a speaker according to recent 
>>> discussion in another mail.
>>>   or audio media. This document does not define the use of language 
>>> tags in media

---

From: Randall Gellens <[email-masked]>
Date: Fri, 1 Dec 2017 16:39:02 -0800

Hi Keith,

The RFC Editor may decide to leave it or use two 
hyphens ("non-sign-language tag").

--Randall

At 12:16 AM +0000 12/2/17, Keith Drage wrote:

>  "Non" can only be followed by a hyphen. However 
> the hyphen relates it to the imediately 
> following the word, rather than any sequence of 
> following words.
>
>  Therefore syntactically you are talking about a 
> "non-sign", which is meaningless.
>
>>  The document uses the terms "sign language 
>> tag" and "non-sign language tag", both terms 
>> applying to language tags.  Neither term is 
>> used in the absence of a tag.  The two terms 
>> are defined in Section 5.4.  I do not see why 
>> use of the terms is unclear or harmful, much 
>> less "entirely meaningless."  Along these 
>> lines, I don't see how the use of the "non-" 
>> prefix elsewhere is confusing or unclear; this 
>> is a very common prefix to use in Internet 
>> Drafts and RFCs.
>>
>>  --Randall
>>
>>> meaningless. Surely in this case we are 
>>> talking about a either the absence of a 
>>> language tag, or the absence of "sgn" within 
>>> a language tag. Why don't we just talk about 
>>> the absence of "sgn" where necessary.
>>>
>>>   As an aside I note elsewhere in the document 
>>> we talk about "non-emergency calls", which 
>>> should mean "a call for a non-emergency". The 
>>> correct opposite to emergency call would be 
>>> "call that is not related to an emergency".
>>>
>>>   There are several other "non-" instances in 
>>> the document that are equally meaningless. I 
>>> assume "non-realtime xxx" is not intended to 
>>>>   I agree.  I made a few minor editorial 
>>>> changes (e.g., moving some text to a new 
>>>> paragraph):
>>>>
>>>>   5.4.  Usage Notes
>>>>
>>>>    Based on the text and comments from 
>>>> Gunnar, brian, Paul, and Bernard, here is 
>>>> what I propose to replace section 5.4 with:
>>>>
>>>>    5.4. Usage Notes
>>>>
>>>>    I provide a slightly modified 5.4 
>>>> proposal, with a bit more consistent 
>>>> language in the first paragraph, and the 
>>>> mentioning of further work or application 
>>>> agreement reinserted. I think that is better 
>>>> than just saying that it is not defined. I 
>>>> also added the spoken language in video is a 
>>>> view of a speaker according to recent 
>>>>    or audio media. This document does not 
>>>> define the use of language tags in media

-------------- Randomly selected tag: ---------------
ondinnonk (ON-din-onk; Iroquoian; noun): the soul's innermost
benevolent desires.

---

From: Gunnar Hellström <[email-masked]>
Date: Sun, 3 Dec 2017 11:42:09 +0100

Keith,

Continuing the discussion of "non-sign":

> within a language tag. Why don't we just talk about the absence of 
We are talking about languages that are not signed. That is spoken or 
written. We tried to use the term "spoken/written language" for them, 
but got opposition from language experts. The end users need to know 
what modality to use that fits the negotiation. We have realized that 
also the devices and network components could sometimes have benefit of 
"knowing" the intended modality. So it is appropriate to tell how to 
handle signed languages versus non-signed languages. The "sgn" is a 
language tag prefix that is usually not accompanying the language tag 
when it is sent, but can be found in a separate entry for the language 
in the language tag registry. Talking about the absence of "sgn" within 
the language tag is therefore not correct and we have therefore included 
the description of how to find out if a language is a sign language or not.

When we needed to move away from using "spoken/written language", the 
replacement "non-sign language" was proposed. I think it expresses what 
we need, but there are certainly other ways to express the same thing.

Randall proposed that if we cannot keep "non-sign language", we could 
change it to "non-sign-language" to more clearly indicate that we talk 
about a language that is not a sign language. I

I also thought about using "non-signed language". That matches well the 
modality indicated in "spoken language" and "written language". The term 
"signed language" is used intermixed with "sign language" in both RFC 
5646 and our draft and elsewhere.

Other constructs are possible, but easily get complex. Here is one 
possible example using the term "tag for a language that is not signed" 
instead of "non-sign language tag"
--------------------------current wording in 5.4--------------------------

  A sign language tag with a video media stream is interpreted as an
    indication for sign language in the video stream.  A non-sign
    language tag with a text media stream is interpreted as an indication
    for written language in the text stream.  A non-sign language tag
    with an audio media stream is interpreted as an indication for spoken
    language in the audio stream.

    In the IANA registry of language subtags perBCP 47 <https://tools.ietf.org/html/bcp47>  [RFC5646 <https://tools.ietf.org/html/rfc5646>], a
    language subtag with a Type field "extlang" combined with a Prefix
    field value "sgn" indicates a sign language tag.  The absense of such
    "sgn" prefix indicates a non-sign language tag.

--------------------possible new wording - but not my favourite proposal---------------
    A sign language tag with a video media stream is interpreted as an
    indication for sign language in the video stream.  A
    language tag for a language that is not signed, used with a text
    media stream is interpreted as an indication
    for written language in the text stream.  A language tag for a language
    that is not signed, used
    with an audio media stream is interpreted as an indication for spoken
    language in the audio stream.

    In the IANA registry of language subtags perBCP 47 <https://tools.ietf.org/html/bcp47>  [RFC5646 <https://tools.ietf.org/html/rfc5646>], a
    language subtag with a Type field "extlang" combined with a Prefix
    field value "sgn" indicates a sign language tag.  The absence of such
    "sgn" prefix indicates a language tag for a language that is not signed.
--------------------------------------------------------------------------------

So, what do we prefer:

1. Leave "non-sign" as is.

2. Replace "non-sign language" with "non-sign-language".

3. Replace "non-sign" with "non-signed"

4. Replace "non-sign language tag" with "language tag for a language 
that is not signed"

I can accept any of these, but have a slight preference for #3, 
"non-signed".

> "non-emergency calls", which should mean "a call for a non-emergency". 
> The correct opposite to emergency call would be "call that is not 
> related to an emergency".
>
<GH>I think these are sufficiently often used in other RFCs to be 
understood.

Gunnar
>> <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>              Based on the text and comments from Gunnar, brian, Paul,
>>             and Bernard, here is what I propose to replace section
>>             5.4 with:
>>
>>              5.4. Usage Notes
>>
>>             This document
>>         consistent language in the first paragraph, and the
>>         mentioning of further work or application agreement
>>         reinserted. I think that is better than just saying that it
>>         is not defined. I also added the spoken language in video is
>>         a view of a speaker according to recent discussion in another
>>         mail.
>>          or audio media. This document does not define the use of
>>         language tags in media
>>          <mailto:[email-masked]
>>         <mailto:[email-masked]>>[email-masked]
>>         <mailto:[email-masked]>
>>         +46 708 204 288 <tel:%2B46%20708%20204%20288>
>>
>>         [email-masked] <mailto:[email-masked]>
>>         <https://www.ietf.org/mailman/listinfo/slim>
>>
>>
>>
>>     -- 
>>     Randall Gellens

-- 
-----------------------------------------
Gunnar Hellström
Omnitor
[email-masked]
+46 708 204 288

---

From: Randall Gellens <[email-masked]>
Date: Tue, 5 Dec 2017 11:27:53 -0800

The argument over the use of "non-" is pointless and a waste of time. 
We should not keep reopening it.  The draft clear and unambiguous.

-------------- Randomly selected tag: ---------------
It is not enough to write in Yiddish; one must have something to say.
                                                       --Y.L. Peretz

---

From: Gunnar Hellström <[email-masked]>
Date: Tue, 5 Dec 2017 23:29:44 +0100

> We should not keep reopening it.  The draft clear and unambiguous.
I tend to agree.
I provided four alternatives in order to try to reach consensus:

I can accept any of these, but have myself a slight preference for #3, 
"non-signed".

Now, since Randall still prefers #1, I suggest that we close the issue 
with the conclusion that we keep it as it is in -19.

Regards

Gunnar

---

From: Bernard Aboba <[email-masked]>
Date: Tue, 5 Dec 2017 20:21:14 -0500

I can live with #1.

> On Dec 5, 2017, at 5:29 PM, Gunnar Hellström <[email-masked]> wrote:
> 
>> The argument over the use of "non-" is pointless and a waste of time. We should not keep reopening it.  The draft clear and unambiguous.
> I tend to agree.
> 4. Replace "non-sign language tag" with "language tag for a language that is not signed"
> 
> I can accept any of these, but have myself a slight preference for #3, "non-signed".
> 
> Now, since Randall still prefers #1, I suggest that we close the issue with the conclusion that we keep it as it is in -19.
> 
> Regards
> 
> Gunnar
> 
> 
> 
> 
> --

---

From: Keith Drage <[email-masked]>
Date: Wed, 6 Dec 2017 10:45:39 +0000

Dear Rundell

Of course I have spelt your name wrong, but in the context it is 
unambiguous, and therefore does not matter.

Keith

---

From: Gunnar Hellström <[email-masked]>
Date: Wed, 6 Dec 2017 18:21:37 +0100

Even if I have said that for me we can close the issue keeping the 
current wording, I want to explain my view of the wording and test a new 
proposal.

It is the term "non-sign language tag" we discuss.

That makes the "tag" to be the main noun, and what is before it can be 
seen as specifiers for "tag". I get the impression that Keith has seen 
this and want to make that clear.

However, the "non-sign" rather applies to the language. It is for when 
the language is not a signed language we want to express the conditions 
for use of the tag. My proposal #4 is intended to make that very clear, 
but resulted in inconveniently complex wording.

I want to try a compromise: "tag for a non-signed language"

I use "non-signed" instead or "non-sign" because "non-signed" is used 
elsewhere while I never saw "non-sign" before. Non-signed is also a 
self-sustained verb, while I do not really know what "non-sign" is 
grammatically.

That makes a new wording proposal for 5.4 be:
------------------new 
wording----------------------------------------------------------------

  A sign language tag with a video media stream is interpreted as an
    indication for sign language in the video stream.  A tag for a non-signed
    language with a text media stream is interpreted as an indication
    for written language in the text stream.  A tag for a non-signed language
    with an audio media stream is interpreted as an indication for spoken
    language in the audio stream.

    In the IANA registry of language subtags perBCP 47 <https://tools.ietf.org/html/bcp47>  [RFC5646 <https://tools.ietf.org/html/rfc5646>], a
    language subtag with a Type field "extlang" combined with a Prefix
    field value "sgn" indicates a tag for a sign language.  The absence of such
    "sgn" prefix indicates a tag for a non-signed language.
------------------end of new wording---------------------------------------
  Is this more acceptable by all?

/Gunnar

---

From: Gunnar Hellström <[email-masked]>
Date: Wed, 6 Dec 2017 21:17:46 +0100

I need to correct my statement that I have not seen the construct . 
"non-sign language" before. Now I have.

A very rough search gave hits where the use is quite similar to how it 
is used in draft version -19 in a term containing some more words as 
specifiers to a noun at the end.

Example 1:

https://www.cio.com/article/2381300/vertical-industries/microsoft-uses-kinect-to-interpret-sign-language-from-deaf-people.html

Search for "non-sign", and you will find:
"It's thought that the system could help deaf users make presentations 
to non-sign language speaking crowds."

Example 2:

https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2693477/

Search for "non-sign" and you will find:

"Several researchers (Corina et al., 1992 
<https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2693477/#R5>;Emmorey et 
al., 2004 
<https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2693477/#R8>;Marshall and 
Fink, 2001 <https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2693477/#R17>) 
have established that different neural systems subserve sign language 
production and non-sign language pantomimic expression."

I think that that confirms that the issue can be closed using any of the 
now 5 solutions I have presented.

Gunnar

Den 2017-12-06 kl. 18:21, skrev Gunnar Hellström:
> current wording, I want to explain my view of the wording and test a 
> new proposal.
>
> the language is not a signed language we want to express the 
> conditions for use of the tag. My proposal #4 is intended to make that 
> very clear, but resulted in inconveniently complex wording.
>
>>> On Dec 5, 2017, at 5:29 PM, Gunnar Hellström<[email-masked]>  wrote:
>>>